/*
 File: knu2.cpp
 Date and Time: Sun Oct  5 16:04:59 2014 
*/
#include "knu2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_knu2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 2;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
}
  Cknu2::
  Cknu2()
    :yacco2::CAbs_fsm
      ("knu2.lex"
      ,"1.0"
      ,"23 oct 2008"
      ,true
      ,"knuth grammar (25)"
      ,"Sun Oct  5 16:04:59 2014 "
      ,S1_Cknu2){
    
  }
 
Cknu2::~Cknu2(){

  for(int x = 0;x < 2;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cknu2::failed(){
      return false;
  }
  void Cknu2::op(){
}
int Cknu2::rhs_to_rules_mapping_[4] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
}; 
Rstart::Rstart(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rstart",0,Cknu2::R_Rstart_,P,false,false){
}

RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Cknu2::R_RS_,P,false,false){
}

